#### Previous topic

scipy.stats.threshold

#### Next topic

scipy.stats.trim1

# scipy.stats.trimboth

`scipy.stats.``trimboth`(a, proportiontocut, axis=0)

  Slices off a proportion of items from both ends of an array.

  Slices off the passed proportion of items from both ends of the passed array (i.e., with proportiontocut = 0.1, slices leftmost 10% and rightmost 10% of scores). The trimmed values are the lowest and highest ones. Slices off less if proportion results in a non-integer slice index (i.e., conservatively slices off`proportiontocut`).

  Parameters:

  a : array_like

  > Data to trim.

  proportiontocut : float

  > Proportion (in range 0-1) of total data set to trim of each end.

  axis : int or None, optional

  > Axis along which to trim data. Default is 0. If None, compute over the whole array a.

  Returns:

  out : ndarray

  > Trimmed version of array a. The order of the trimmed content is undefined.

  See also

  `trim_mean`

  Examples

      >>> from scipy import stats
      >>> a = np.arange(20)
      >>> b = stats.trimboth(a, 0.1)
      >>> b.shape
      (16,)